import MindMap from './index'
import MiniMap from './plugins/MiniMap.js'
import Watermark from './plugins/Watermark.js'
import KeyboardNavigation from './plugins/KeyboardNavigation.js'
import ExportXMind from './plugins/ExportXMind.js'
import ExportPDF from './plugins/ExportPDF.js'
import Export from './plugins/Export.js'
import Drag from './plugins/Drag.js'
import Select from './plugins/Select.js'
import AssociativeLine from './plugins/AssociativeLine.js'
import RichText from './plugins/RichText.js'
import NodeImgAdjust from './plugins/NodeImgAdjust.js'
import TouchEvent from './plugins/TouchEvent.js'
import Search from './plugins/Search.js'
import Painter from './plugins/Painter.js'
import Scrollbar from './plugins/Scrollbar.js'
import Formula from './plugins/Formula.js'
import RainbowLines from './plugins/RainbowLines.js'
import Demonstrate from './plugins/Demonstrate.js'
import OuterFrame from './plugins/OuterFrame.js'
import MindMapLayoutPro from './plugins/MindMapLayoutPro.js'
import xmind from './parse/xmind.js'
import markdown from './parse/markdown.js'
import icons from './svg/icons.js'
import * as constants from './constants/constant.js'
import * as defaultTheme from './theme/default.js'

MindMap.xmind = xmind
MindMap.markdown = markdown
MindMap.iconList = icons.nodeIconList
MindMap.constants = constants
MindMap.defaultTheme = defaultTheme
MindMap.version = '0.13.0'

MindMap.usePlugin(MiniMap)
  .usePlugin(Watermark)
  .usePlugin(Drag)
  .usePlugin(KeyboardNavigation)
  .usePlugin(ExportXMind)
  .usePlugin(ExportPDF)
  .usePlugin(Export)
  .usePlugin(Select)
  .usePlugin(AssociativeLine)
  .usePlugin(RichText)
  .usePlugin(TouchEvent)
  .usePlugin(NodeImgAdjust)
  .usePlugin(Search)
  .usePlugin(Painter)
  .usePlugin(Scrollbar)
  .usePlugin(Formula)
  .usePlugin(RainbowLines)
  .usePlugin(Demonstrate)
  .usePlugin(OuterFrame)
  .usePlugin(MindMapLayoutPro)

export default MindMap
